# Share ( Android 向け )

Share プラグインを使用すれば、他のアプリ ( Gmail、Dropbox など ) とデータを共有できます。

{% hint style="info" %}
このプラグインは、Android プラットフォーム専用です。
{% endhint %}

## プラグインの追加方法 ( Monaca 上での処理 )

1. Monaca クラウド IDE か&#x3089;**`設定 → Cordova プラグインの管理`** を選択します。
2. *利用可能なプラグイン* 項目の `Share` プラグインにカーソルを置き、`有効`ボタンをクリックします。

![](/files/-MgOiMt1YlD1ZoepXSvy)

## メソッド

| 関数名        | 解説                                        |
| ---------- | ----------------------------------------- |
| show(func) | データを共有するアプリの一覧を表示して、アプリの選択後に、データの共有を行います。 |

## Share プラグインの記述例

```markup
<!DOCTYPE HTML>
<html>
<head>
  <title>Cordova - Share Plugin Demo</title>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
  <meta http-equiv="Content-Security-Policy" content="default-src * data: gap: content: https://ssl.gstatic.com; style-src * 'unsafe-inline'; script-src * 'unsafe-inline' 'unsafe-eval'">
  <script src="components/loader.js"></script>
  <link rel="stylesheet" href="components/loader.css">

  <script type="text/javascript">

    function shareDemo() {
      window.plugins.share.show(
          {
              subject: 'Subject test',
              text: 'text http://phonegap-fan.com/'
          },
          function() {}, // Success function
          function() {alert('Share failed')} // Failure function
      );
    }
  </script>
</head>

<body bgcolor="#ffffff">
  <hr> Share Plugin Demo<hr><br>
  <input type="button" onClick ="shareDemo()" value ="shareDemo" />
</body>
</html>
```

関連項目：

* [基本プラグイン](/reference/core-cordova-plugins.md)
* [サードパーティー製プラグイン](/reference/third_party_phonegap.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ja.docs.monaca.io/reference/third_party_phonegap/share.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
